Get customer lifetime value
curl --request GET \
--url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"shop": "<string>",
"customer_id": "<string>",
"total_orders": 123,
"total_revenue": 123,
"avg_order_value": 123,
"first_order_date": "<string>",
"first_order_month": "<string>",
"last_order_date": "<string>",
"second_order_date": "<string>",
"total_refunds": 123,
"revenue_30d": 123,
"revenue_90d": 123,
"revenue_6m": 123,
"revenue_12m": 123,
"first_order_channel": "<string>",
"first_order_ad_id": "<string>",
"currency": "<string>",
"last_order_days_ago": 123,
"time_to_second_purchase_days": 123
}
]{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}Analytics
Get customer lifetime value
Returns store-scoped customer lifetime value, order cadence, attribution, and recency rows.
GET
/
ad-metrics
/
{storeUrl}
/
customer-ltv
Get customer lifetime value
curl --request GET \
--url https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.bily.ai/api/customer/v1/ad-metrics/{storeUrl}/customer-ltv"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"shop": "<string>",
"customer_id": "<string>",
"total_orders": 123,
"total_revenue": 123,
"avg_order_value": 123,
"first_order_date": "<string>",
"first_order_month": "<string>",
"last_order_date": "<string>",
"second_order_date": "<string>",
"total_refunds": 123,
"revenue_30d": 123,
"revenue_90d": 123,
"revenue_6m": 123,
"revenue_12m": 123,
"first_order_channel": "<string>",
"first_order_ad_id": "<string>",
"currency": "<string>",
"last_order_days_ago": 123,
"time_to_second_purchase_days": 123
}
]{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}{
"error": "Store not found",
"requestId": "<string>",
"details": "<unknown>",
"retryAfter": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
A server-side Bily API key created under Settings > MCP > Access key fallback. Select the intended store before creating it.
Headers
An organization ID returned by GET /context or GET /organizations. Required for GET /stores and optional for store-scoped paths.
Example:
"org_01J8W7T9G3E6ZQ4M2K5N8P1R0S"
Path Parameters
The exact store URL returned by GET /context or GET /stores.
Example:
"store.example.com"
Query Parameters
Optional first date to include, in YYYY-MM-DD format.
Optional last date to include, in YYYY-MM-DD format.
Maximum input rows to return.
Required range:
1 <= x <= 100000Response
Request completed successfully.